package com.chinaweal.aiccs.aiccs.seriousillegalPerson.common.emnu;

import com.chinaweal.aiccs.common.util.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AuthEnum {
    XR_HANDLE("xrHandle", "acceptSerIllegal", "经办人"),
    XR_EXAMINE("xrExamine", "handleSerIllegal", "审核人"),
    XR_APPROVE("xrApprove", "approveSerIllegal", "审批人"),
    XR_LAW("xrLaw", StringUtils.EMPTY, "执法人"),
    ;
    /**
     * 编码
     */
    private final String code;

    /**
     * tstasklist对应权限编码
     */
    private final String tsPermissionCode;

    /**
     * 描述
     */
    private final String desc;


}
